Bug 133175 - Canna: Remove unnecessary documentation
Canna: Remove unnecessary documentation
Product: Fedora
Classification: Fedora
Component: Canna (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Akira TAGOH
Bill Huang
Depends On:
  Show dependency treegraph
Reported: 2004-09-21 23:31 EDT by Warren Togami
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version: 3.7p3-6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-09-28 02:41:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Warren Togami 2004-09-21 23:31:11 EDT
Description of problem:
The below patch removes unnecessary documentation from Canna in order
to save space.  Please use your best judgement.

* INSTALL* instructions are never needed.
* Arguably the rest of the suggested removals are of little value to

Index: Canna.spec
RCS file: /cvs/dist/devel/Canna/Canna.spec,v
retrieving revision 1.29
diff -u -p -r1.29 Canna.spec
--- Canna.spec  9 Sep 2004 02:39:05 -0000       1.29
+++ Canna.spec  22 Sep 2004 03:29:35 -0000
@@ -6,7 +6,7 @@
 Summary: A Japanese character set input system.
 Name: Canna
 Version: 3.7p3
-Release: 5
+Release: 6
 License: Distributable
 Group: System Environment/Libraries
 URL: http://www.nec.co.jp/japanese/product/computer/soft/canna/
@@ -264,12 +264,10 @@ fi

 %defattr (-,root,root)
-%doc %{cannadir}/CHANGES.jp %{cannadir}/ChangeLog %{cannadir}/INSTALL
-%doc %{cannadir}/INSTALL.jp %{cannadir}/OCHANGES.jp
+%doc %{cannadir}/CHANGES.jp %{cannadir}/ChangeLog
+%doc %{cannadir}/OCHANGES.jp %{cannadir}/RKCCONF.jp
 %doc %{cannadir}/README %{cannadir}/README.jp %{cannadir}/WHATIS
-%doc %{cannadir}/WHATIS.jp %{cannadir}/Canna.conf %{cannadir}/doc
-%doc %{cannadir}/misc
-%doc $RPM_BUILD_DIR/%{name}-%{version}/sample
+%doc %{cannadir}/WHATIS.jp %{cannadir}/Canna.conf
 %config %{_sysconfdir}/rc.d/init.d/canna
 %config %{_sysconfdir}/skel/.canna
 %config(noreplace) %{_sysconfdir}/hosts.canna
@@ -310,6 +308,9 @@ fi

+* Tue Sep 21 2004 Warren Togami <wtogami@redhat.com> 3.7p3-6
+- remove unnecessary docs
 * Wed Sep 08 2004 Akira TAGOH <tagoh@redhat.com> 3.7p3-5
 - fixed default.canna to get usability and improve the default
behavior without
   proper .canna file.

Version-Release number of selected component (if applicable):
Comment 1 Akira TAGOH 2004-09-27 00:58:46 EDT
I agreed with your patch except removing sample dir. it contains the
sample files how to make the keybinding file.
Comment 2 Akira TAGOH 2004-09-28 02:41:39 EDT
fixed in 3.7p3-6

Note You need to log in before you can comment on or make changes to this bug.